=== debian/changelog ===
mpv (0.4.0-1tanglu2) staging; urgency=high

  * No-change rebuild against libav 11

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 07 Sep 2014 08:59:59 +0000

mpv (0.4.0-1tanglu1) staging; urgency=medium

  * Merge from Debian, remaining changes:
    - Add libharfbuzz-dev to Build-Depends
    - Add libsmbclient-dev to Build-Depends
    - Add --enable-libass to debian/rules

 -- Jackson Doak <noskcaj@ubuntu.com>  Wed, 09 Jul 2014 09:44:55 +1000

mpv (0.4.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh 01_desktop-path.patch
  * Refresh 02_fix-config-path.patch
  * Enable shared libmpv client library
  * Make mpv Multi-Arch: foreign
  * Add mpv-dbg package as well
  * Disable libpostproc support (ffmpeg's libpostproc is needed)
  * Install Lua scripting examples
  * Disable cdda support
  * Bump lcms2 versioned Build-Depends
  * Build and install zsh completion script
  * Install upstream release notes as changelog (Closes: #722997)

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 25 Jun 2014 21:10:18 +0200

mpv (0.3.11-1tanglu2) staging; urgency=medium

  * No-change rebuild against libav10 

 -- Philip MuÅ¡kovac <yofel@kubuntu.org>  Thu, 26 Jun 2014 12:07:03 +0200

mpv (0.3.11-1tanglu1) staging; urgency=medium

  * Merge from Debian, remaining changes:
    - Add libharfbuzz-dev to Build-Depends
    - Add libsmbclient-dev to Build-Depends
    - Add --enable-libass to debian/rules

 -- Jon Severinsson <jon@severinsson.net>  Sun, 22 Jun 2014 10:00:00 +0200

mpv (0.3.11-1) unstable; urgency=medium

  * New upstream release
  * Drop gcc-4.8 Build-Depends for sparc (Closes: #751321)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 15 Jun 2014 14:35:14 +0200

mpv (0.3.10-2) unstable; urgency=medium

  * Switch to Lua 5.2

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 28 May 2014 21:45:06 +0200

mpv (0.3.10-1) unstable; urgency=medium

  * New upstream release
  * Enable support for libavdevice

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 25 May 2014 14:59:56 +0200

mpv (0.3.9-2) unstable; urgency=low

  [ Reinhard Tartler ]
  * Merge branch experimental

  [ Alessandro Ghedini ]
  * Remove forced gcc-4.8 build depends on powerpc
  * Rebuild against libav10

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 12 May 2014 12:06:15 +0200

mpv (0.3.9-1) unstable; urgency=medium

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 30 Apr 2014 13:28:31 +0200

mpv (0.3.8-1) unstable; urgency=medium

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 18 Apr 2014 10:56:21 +0200

mpv (0.3.7-1tanglu1) staging; urgency=medium

  * Fix FTBFS:
    - Add libharfbuzz-dev to Build-Depends
    - Add --enable-libass to debian/rules
  * Enable samba support:
    - Add libsmbclient-dev to Build-Depends

 -- Alad Wenter <the.changing.side@gmail.com>  Wed, 16 Apr 2014 10:51:11 +0200

mpv (0.3.7-1) unstable; urgency=medium

  * New upstream release
  * Enable all hardening options.
    Thanks to Simon Ruderich for the patch (Closes: #741439)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 30 Mar 2014 20:00:42 +0200

mpv (0.3.6-1) unstable; urgency=medium

  * New upstream release
  * Update 03_waf.patch to newer waf version

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 11 Mar 2014 16:00:20 +0100

mpv (0.3.5-1) unstable; urgency=medium

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 12 Feb 2014 22:56:33 +0100

mpv (0.3.3-1+exp1) experimental; urgency=low

  * Rebuild against libav10

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 17 Jan 2014 03:35:15 +0000
