=== debian/control ===
Source: mpv
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessandro Ghedini <ghedo@debian.org>,
 Reinhard Tartler <siretart@tauware.de>
Build-Depends: debhelper (>= 9),
 ladspa-sdk,
 libasound2-dev [linux-any],
 libass-dev,
 libavcodec-dev (>= 6:10~),
 libavdevice-dev (>= 6:10~),
 libavfilter-dev (>= 6:10~),
 libavformat-dev (>= 6:10~),
 libavresample-dev (>= 6:10~),
 libavutil-dev (>= 6:10~),
 libbluray-dev,
 libbs2b-dev,
 libdvdnav-dev,
 libdvdread-dev,
 libegl1-mesa-dev [linux-any],
 libenca-dev,
 libgl1-mesa-dev,
 libguess-dev,
 libharfbuzz-dev,
 libjack-dev,
 libjpeg8-dev,
 liblcms2-dev (>= 2.6~),
 liblircclient-dev,
 liblua5.2-dev,
 libmpg123-dev,
 libncurses5-dev,
 libncursesw5-dev,
 libpulse-dev,
 libquvi-dev (>= 0.4.1-2.1),
 libsdl2-dev,
 libsmbclient-dev,
 libswscale-dev,
 libva-dev,
 libvdpau-dev,
 libwayland-dev [linux-any],
 libx11-dev,
 libxinerama-dev,
 libxkbcommon-dev [linux-any],
 libxss-dev,
 libxv-dev,
 pkg-config,
 python,
 python-docutils,
 yasm
Standards-Version: 3.9.5
Homepage: http://mpv.io/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mpv.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mpv.git

Package: mpv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: video player based on MPlayer/mplayer2
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 Changes from mplayer2 to mpv include:
  * Removal of lots of unneeded code to encourage developer activity
  * Better OSD rendering
  * Cleaned up terminal output
  * Improved OpenGL output
  * Encoding functionality (replacement for mencoder)
  * Wayland support
  * Support for playing URLs of popular streaming sites
  * Screenshot improvements
  * ...
 See mpv(1) for more info regarding changes between MPlayer, mplayer2 and mpv.

Package: mpv-dbg
Priority: extra
Section: debug
Architecture: any
Depends: mpv (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (debug)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides debugging symbols for mpv.

Package: libmpv1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides a client library that can be used to embed mpv in other
 applications.

Package: libmpv-dev
Section: libdevel
Architecture: any
Depends: libmpv1 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library dev files)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides development files for libmpv.

Package: libmpv-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libmpv1 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library debug)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides debugging symbols for libmpv.
