=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS:=hardening=+all # #741439

%:
	dh $@

override_dh_auto_configure:
	python ./waf -v --nocache configure			\
			--prefix=/usr				\
			--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)	\
			--confdir=/etc/mpv			\
			--enable-sdl2				\
			--enable-zsh-comp			\
			--enable-libmpv-shared			\
			--enable-libass

override_dh_auto_build:
	python ./waf -v --nocache build

override_dh_auto_install:
	python ./waf -v --nocache install --destdir=debian/tmp

override_dh_install:
	dh_install --sourcedir=debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES

override_dh_auto_clean:
	python ./waf -v --nocache distclean
	find . -name "*.pyc" -delete

override_dh_strip:
	dh_strip -pmpv --dbg-package=mpv-dbg
	dh_strip -plibmpv1 --dbg-package=libmpv-dbg
