## mpv 0.4.2

=== wscript ===
--- 
+++ 
@@ -138,12 +138,10 @@
                     'test = __sync_add_and_fetch(&test, 1)'),
         'deps_neg': [ 'stdatomic', 'atomic-builtins' ],
     }, {
-        'name': 'thread-synchronization-builtins',
+        'name': 'atomics',
         'desc': 'compiler support for usable thread synchronization built-ins',
         'func': check_true,
         'deps_any': ['stdatomic', 'atomic-builtins', 'sync-builtins'],
-        'req': True,
-        'fmsg': 'your compiler must support either __atomic or __sync built-ins',
     }, {
         'name': 'librt',
         'desc': 'linking with -lrt',
@@ -357,3 +355,6 @@
         'deps_any': [ 'libavresample', 'libswresample' ],
         'func': check_true,
         'req':  True,
+        'fmsg': 'No resampler found. Install libavresample or libswresample (FFmpeg).'
+    }, {
+        'name': 'avcodec-chroma-pos-api',
