=== debian/changelog ===
mpv (0.4.2-1ubuntu3) utopic; urgency=medium

  * Rebuild against final libav11 release (LP: #1376388).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 02 Oct 2014 03:55:43 +0100

mpv (0.4.2-1ubuntu2) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Sep 2014 01:31:39 +0100

mpv (0.4.2-1ubuntu1) utopic; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Build without Altivec on ppc64el for the moment, until we work out why
      that fails with strange errors on bool types.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Aug 2014 16:36:52 +0100

mpv (0.4.2-1) unstable; urgency=medium

  * New upstream release
    - Include point releases too in the release notes (Closes: #722997)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 26 Jul 2014 12:29:29 +0200

mpv (0.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 11 Jul 2014 18:11:27 +0200

mpv (0.3.11-1ubuntu1) utopic; urgency=medium

  * Build without Altivec on ppc64el for the moment, until we work out why
    that fails with strange errors on bool types.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 Jun 2014 12:08:54 +0100
