=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mpv
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessandro Ghedini <ghedo@debian.org>,
  Reinhard Tartler <siretart@tauware.de>
 Build-Depends: debhelper (>= 9),
@@ -22,7 +23,6 @@
  libenca-dev,
  libgl1-mesa-dev,
  libguess-dev,
- libharfbuzz-dev,
  libjack-dev,
  libjpeg8-dev,
  liblcms2-dev (>= 2.6~),
@@ -34,7 +34,6 @@
  libpulse-dev,
  libquvi-dev (>= 0.4.1-2.1),
  libsdl2-dev,
- libsmbclient-dev,
  libswscale-dev,
  libva-dev,
  libvdpau-dev,
