=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS:=hardening=+all # #741439
+
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+export DEB_CFLAGS_MAINT_APPEND := -mno-altivec
+endif
 
 %:
 	dh $@
@@ -12,8 +17,7 @@
 			--confdir=/etc/mpv			\
 			--enable-sdl2				\
 			--enable-zsh-comp			\
-			--enable-libmpv-shared			\
-			--enable-libass
+			--enable-libmpv-shared
 
 override_dh_auto_build:
 	python ./waf -v --nocache build
