## mpv 0.6.2

=== wscript ===
--- 
+++ 
@@ -36,6 +36,11 @@
         'default': 'enable',
         'func': check_true
     }, {
+        'name': '--optimize',
+        'desc': 'whether to optimize',
+        'default': 'enable',
+        'func': check_true
+    }, {
         'name': '--debug-build',
         'desc': 'whether to compile-in debugging information',
         'default': 'enable',
@@ -68,17 +73,6 @@
         'desc': 'zsh completion',
         'func': check_true,
         'default': 'disable',
-    }, {
-        'name': '--macosx-bundle',
-        'desc': 'compilation of a Mac OS X Application bundle',
-        'deps': [ 'os-darwin' ],
-        'default': 'disable',
-        'func': check_true
-    }, {
-        'name': 'win32-executable',
-        'desc': 'w32 executable',
-        'deps_any': [ 'os-win32', 'os-cygwin'],
-        'func': check_ctx_vars('WINDRES')
     }, {
         # does nothing - left for backward and forward compatibility
         'name': '--asm',
@@ -110,6 +104,11 @@
         'desc': 'mman.h',
         'func': check_statement('sys/mman.h', 'mmap(0, 0, 0, 0, 0, 0)')
     }, {
+        'name': 'mingw',
+        'desc': 'MinGW',
+        'deps': [ 'os-win32' ],
+        'func': check_statement('stddef.h', 'int x = __MINGW32__')
+    }, {
         'name': 'pthreads',
         'desc': 'POSIX threads',
         'func': check_pthreads,
@@ -166,18 +165,26 @@
         'deps_any': [ 'os-win32', 'os-cygwin'],
         'func': check_true
     }, {
+        'name': '--waio',
+        'desc': 'libwaio for win32',
+        'deps': [ 'os-win32', 'mingw' ],
+        'func': check_libs(['waio'],
+                    check_statement('waio/waio.h', 'waio_alloc(0, 0, 0, 0)')),
+    }, {
         'name': 'videoio',
         'desc': 'videoio.h',
         'func': check_headers('sys/videoio.h')
     }, {
         'name': '--terminfo',
         'desc': 'terminfo',
+        'default': 'disable',
         'func': check_libs(['ncurses', 'ncursesw'],
             check_statement('term.h', 'setupterm(0, 1, 0)')),
     }, {
         'name': '--termcap',
         'desc': 'termcap',
         'deps_neg': ['terminfo'],
+        'default': 'disable',
         'func': check_libs(['ncurses', 'tinfo', 'termcap'],
             check_statement('term.h', 'tgetent(0, 0)')),
     }, {
@@ -189,13 +196,6 @@
         'desc': 'shm',
         'func': check_statement(['sys/types.h', 'sys/ipc.h', 'sys/shm.h'],
             'shmget(0, 0, 0); shmat(0, 0, 0); shmctl(0, 0, 0)')
-    }, {
-        'name': 'posix-select',
-        'desc': 'POSIX select()',
-        'func': check_statement('sys/select.h', """
-            int rc;
-            rc = select(0, (fd_set *)(0), (fd_set *)(0), (fd_set *)(0),
-                        (struct timeval *)(0))""")
     }, {
         'name': 'glob',
         'desc': 'glob()',
@@ -358,3 +358,4 @@
         'fmsg': 'No resampler found. Install libavresample or libswresample (FFmpeg).'
     }, {
         'name': 'avcodec-chroma-pos-api',
+        'desc': 'libavcodec avcodec_enum_to_chroma_pos API',
