=== debian/changelog ===
mpv (0.6.2-2) unstable; urgency=medium

  * Re-enable CDDA support via libcdio (Closes: #766725)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 25 Oct 2014 15:16:57 +0200

mpv (0.6.2-1) unstable; urgency=medium

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 24 Oct 2014 21:16:49 +0200

mpv (0.6.1-1) unstable; urgency=medium

  * New upstream release
    - Fix the autodetection of the input format in the vf_stereo3d filter
      (Closes: #763904)
    - Don't create 0x0 windows on X11 (Closes: #764419)
  * Remove unused build deps
  * Enable support for xrandr
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Don't install input configuration files as examples (they are now installed
    by the upstream build system as normal documentation)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 12 Oct 2014 14:39:57 +0200

mpv (0.6.0-1) unstable; urgency=medium

  * New upstream release
    - Add video/ogg to the list of supported MIME types in the *.desktop file
      (Closes: #763173)
  * Switch to libjpeg-turbo (Closes: #763484)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 30 Sep 2014 21:15:03 +0200

mpv (0.5.4-1) unstable; urgency=medium

  * New upstream release
    - Rebuild should fix warnings regarding libav libraries versions
      (Closes: #762229)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 23 Sep 2014 21:37:19 +0200

mpv (0.5.3-1) unstable; urgency=medium

  * New upstream release
  * Fix wildcard-matches-nothing-in-dep5-copyright

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 10 Sep 2014 20:05:33 +0200

mpv (0.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 27 Aug 2014 11:05:35 +0200

mpv (0.5.0-1) unstable; urgency=medium

  * New upstream release
  * Update path of example Lua scripts
  * Refresh 02_fix-config-path.patch
  * Update *.symbols file

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 12 Aug 2014 11:52:56 +0200
