=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mpv
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessandro Ghedini <ghedo@debian.org>,
  Reinhard Tartler <siretart@tauware.de>
 Build-Depends: debhelper (>= 9),
@@ -17,6 +16,7 @@
  libavutil-dev (>= 6:10~),
  libbluray-dev,
  libbs2b-dev,
+ libcdio-paranoia-dev,
  libdvdnav-dev,
  libdvdread-dev,
  libegl1-mesa-dev [linux-any],
@@ -24,13 +24,11 @@
  libgl1-mesa-dev,
  libguess-dev,
  libjack-dev,
- libjpeg8-dev,
+ libjpeg-dev,
  liblcms2-dev (>= 2.6~),
  liblircclient-dev,
  liblua5.2-dev,
  libmpg123-dev,
- libncurses5-dev,
- libncursesw5-dev,
  libpulse-dev,
  libquvi-dev (>= 0.4.1-2.1),
  libsdl2-dev,
@@ -41,13 +39,13 @@
  libx11-dev,
  libxinerama-dev,
  libxkbcommon-dev [linux-any],
+ libxrandr-dev,
  libxss-dev,
  libxv-dev,
  pkg-config,
  python,
  python-docutils,
- yasm
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://mpv.io/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mpv.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mpv.git
