=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,6 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS:=hardening=+all # #741439
-
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-ifeq ($(DEB_HOST_ARCH),ppc64el)
-export DEB_CFLAGS_MAINT_APPEND := -mno-altivec
-endif
 
 %:
 	dh $@
@@ -15,6 +10,7 @@
 			--prefix=/usr				\
 			--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)	\
 			--confdir=/etc/mpv			\
+			--enable-cdda				\
 			--enable-sdl2				\
 			--enable-zsh-comp			\
 			--enable-libmpv-shared
