## mpv 0.7.1

=== debian/changelog ===
mpv (0.7.1-1ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian (LP: #1350370).  Remaining changes:
    - Build without Altivec on ppc64el for the moment, until we work out why
      that fails with strange errors on bool types.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Dec 2014 17:08:32 +0000

mpv (0.7.1-1) unstable; urgency=medium

  * New upstream release
  * Update 03_waf.patch to waf 1.8.1
  * Refresh patches
  * Manually set zsh completion install path
  * Remove --nocache option from waf invocation
  * Update libmpv symbols file
  * Drop libquvi support, replaced by built-in Lua script based on youtube-dl
  * Add Recommends on youtube-dl

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 03 Dec 2014 10:43:28 +0100
