=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mpv
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessandro Ghedini <ghedo@debian.org>,
  Reinhard Tartler <siretart@tauware.de>
 Build-Depends: debhelper (>= 9),
@@ -30,7 +31,6 @@
  liblua5.2-dev,
  libmpg123-dev,
  libpulse-dev,
- libquvi-dev (>= 0.4.1-2.1),
  libsdl2-dev,
  libswscale-dev,
  libva-dev,
@@ -53,6 +53,7 @@
 Package: mpv
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: youtube-dl (>= 2014.11.09)
 Multi-Arch: foreign
 Description: video player based on MPlayer/mplayer2
  mpv is a movie player based on MPlayer and mplayer2. It supports a wide
@@ -86,6 +87,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: youtube-dl (>= 2014.11.09)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: video player based on MPlayer/mplayer2 (client library)
