## mpv 0.7.2

=== wscript ===
--- 
+++ 
@@ -96,18 +96,25 @@
         'desc': '-lm',
         'func': check_cc(lib='m')
     }, {
-        'name': 'nanosleep',
-        'desc': 'nanosleep',
-        'func': check_statement('time.h', 'nanosleep(0,0)')
-    }, {
-        'name': 'sys-mman-h',
-        'desc': 'mman.h',
-        'func': check_statement('sys/mman.h', 'mmap(0, 0, 0, 0, 0, 0)')
-    }, {
         'name': 'mingw',
         'desc': 'MinGW',
         'deps': [ 'os-win32' ],
-        'func': check_statement('stddef.h', 'int x = __MINGW32__')
+        'func': check_statement('stddef.h', 'int x = __MINGW32__;'
+                                            'int y = __MINGW64_VERSION_MAJOR'),
+    }, {
+        'name': 'posix',
+        'desc': 'POSIX environment',
+        # This should be good enough.
+        'func': check_statement(['poll.h', 'unistd.h'],
+                    'struct pollfd pfd; poll(&pfd, 1, 0); fork(); int f[2]; pipe(f)'),
+    }, {
+        'name': 'posix-or-mingw',
+        'desc': 'programming environment',
+        'deps_any': [ 'posix', 'mingw' ],
+        'func': check_true,
+        'req': True,
+        'fmsg': 'Unable to find either POSIX or MinGW-w64 environment, ' \
+                'or compiler does not work.',
     }, {
         'name': 'pthreads',
         'desc': 'POSIX threads',
@@ -134,6 +141,7 @@
         'desc': 'compiler support for __sync built-ins',
         'func': check_statement('stdint.h',
                     'int64_t test = 0;'
+                    '__typeof__(test) x = ({int a = 1; a;});'
                     'test = __sync_add_and_fetch(&test, 1)'),
         'deps_neg': [ 'stdatomic', 'atomic-builtins' ],
     }, {
@@ -175,19 +183,6 @@
         'desc': 'videoio.h',
         'func': check_headers('sys/videoio.h')
     }, {
-        'name': '--terminfo',
-        'desc': 'terminfo',
-        'default': 'disable',
-        'func': check_libs(['ncurses', 'ncursesw'],
-            check_statement('term.h', 'setupterm(0, 1, 0)')),
-    }, {
-        'name': '--termcap',
-        'desc': 'termcap',
-        'deps_neg': ['terminfo'],
-        'default': 'disable',
-        'func': check_libs(['ncurses', 'tinfo', 'termcap'],
-            check_statement('term.h', 'tgetent(0, 0)')),
-    }, {
         'name': '--termios',
         'desc': 'termios',
         'func': check_headers('termios.h', 'sys/termios.h'),
@@ -197,6 +192,19 @@
         'func': check_statement(['sys/types.h', 'sys/ipc.h', 'sys/shm.h'],
             'shmget(0, 0, 0); shmat(0, 0, 0); shmctl(0, 0, 0)')
     }, {
+        'name': 'sys-mman-h',
+        'desc': 'mman.h',
+        'func': check_statement('sys/mman.h', 'mmap(0, 0, 0, 0, 0, 0)')
+    }, {
+        'name': 'nanosleep',
+        'desc': 'nanosleep',
+        'func': check_statement('time.h', 'nanosleep(0,0)')
+    }, {
+        'name': 'posix-spawn',
+        'desc': 'POSIX spawnp()/kill()',
+        'func': check_statement(['spawn.h', 'signal.h'],
+            'posix_spawnp(0,0,0,0,0,0); kill(0,0)')
+    }, {
         'name': 'glob',
         'desc': 'glob()',
         'func': check_statement('glob.h', 'glob("filename", 0, 0, 0)')
@@ -206,6 +214,32 @@
         'deps_neg': [ 'glob' ],
         'deps_any': [ 'os-win32', 'os-cygwin' ],
         'func': check_true
+    }, {
+        'name': 'glibc-thread-name',
+        'desc': 'GLIBC API for setting thread name',
+        'func': check_statement('pthread.h',
+                                'pthread_setname_np(pthread_self(), "ducks")',
+                                use=['pthreads']),
+    }, {
+        'name': 'osx-thread-name',
+        'desc': 'OSX API for setting thread name',
+        'deps_neg': [ 'glibc-thread-name' ],
+        'func': check_statement('pthread.h',
+                                'pthread_setname_np("ducks")', use=['pthreads']),
+    }, {
+        'name': 'bsd-thread-name',
+        'desc': 'BSD API for setting thread name',
+        'deps_neg': [ 'glibc-thread-name', 'osx-thread-name' ],
+        'func': check_statement(['pthread.h', 'pthread_np.h'],
+                                'pthread_set_name_np(pthread_self(), "ducks")',
+                                use=['pthreads']),
+    }, {
+        'name': 'netbsd-thread-name',
+        'desc': 'NetBSD API for setting thread name',
+        'deps_neg': [ 'glibc-thread-name', 'osx-thread-name', 'bsd-thread-name' ],
+        'func': check_statement('pthread.h',
+                                'pthread_setname_np(pthread_self(), "%s", (void *)"ducks")',
+                                use=['pthreads']),
     }, {
         'name': 'bsd-fstatfs',
         'desc': "BSD's fstatfs()",
@@ -228,21 +262,9 @@
         'func': check_pkg_config('smbclient'),
         'module': 'input',
     }, {
-        'name': '--libquvi4',
-        'desc': 'libquvi 0.4.x support',
-        'groups': [ 'libquvi' ],
-        'func': check_pkg_config('libquvi', '>= 0.4.1'),
-    }, {
-        'name': '--libquvi9',
-        'desc': 'libquvi 0.9.x support',
-        'groups': [ 'libquvi' ],
-        'deps_neg': [ 'libquvi4' ],
-        'func': check_pkg_config('libquvi-0.9', '>= 0.9.0'),
-    }, {
-        'name': '--libquvi',
-        'desc': 'libquvi support',
-        'deps_any': [ 'libquvi4', 'libquvi9' ],
-        'func': check_true
+        'name' : '--lua',
+        'desc' : 'Lua',
+        'func': check_lua,
     }, {
         'name': '--libass',
         'desc': 'SSA/ASS support',
@@ -297,7 +319,6 @@
         'name': '--cdda',
         'desc': 'cdda support (libcdio)',
         'func': check_pkg_config('libcdio_paranoia'),
-        'default': 'disable',
     }, {
         'name': '--enca',
         'desc': 'ENCA support',
@@ -319,43 +340,7 @@
         'desc': 'LCMS2 support',
         'func': check_pkg_config('lcms2', '>= 2.6'),
     }, {
-        'name': '--vapoursynth',
-        'desc': 'VapourSynth filter bridge',
-        'func': check_pkg_config('vapoursynth >= 23 vapoursynth-script >= 23'),
-    }
-]
-
-libav_pkg_config_checks = [
-    'libavutil',   '>= 52.48.101',
-    'libavcodec',  '>= 55.34.1',
-    'libavformat', '>= 55.12.0',
-    'libswscale',  '>= 2.1.2'
-]
-
-libav_dependencies = [
-    {
-        'name': 'libav',
-        'desc': 'libav/ffmpeg',
-        'func': check_pkg_config(*libav_pkg_config_checks),
-        'req': True,
-        'fmsg': "Unable to find development files for some of the required \
-Libav libraries ({0}). Aborting.".format(" ".join(libav_pkg_config_checks))
-    }, {
-        'name': '--libavresample',
-        'desc': 'libavresample',
-        'func': check_pkg_config('libavresample',  '>= 1.1.0'),
-    }, {
-        'name': '--libswresample',
-        'desc': 'libswresample',
-        'func': check_pkg_config('libswresample', '>= 0.17.104'),
-        'deps_neg': ['libavresample'],
-    }, {
-        'name': 'resampler',
-        'desc': 'usable resampler found',
-        'deps_any': [ 'libavresample', 'libswresample' ],
-        'func': check_true,
-        'req':  True,
-        'fmsg': 'No resampler found. Install libavresample or libswresample (FFmpeg).'
-    }, {
-        'name': 'avcodec-chroma-pos-api',
-        'desc': 'libavcodec avcodec_enum_to_chroma_pos API',
+        'name': 'vapoursynth-core',
+        'desc': 'VapourSynth filter bridge (core)',
+        'func': check_pkg_config('vapoursynth >= 23'),
+    }, {
