=== debian/changelog ===
mpv (0.7.2-1ubuntu1) vivid; urgency=medium

  * debian/rules: Disable altivec on ppc64el again, as it FTBFS with it.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 22 Dec 2014 19:08:25 -0500

mpv (0.7.2-1) unstable; urgency=medium

  * New upstream release
    - Enable ytdl_hook script by default (Closes: #772472)
  * Enable joystick support (Closes: #773234)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 20 Dec 2014 12:31:39 +0100
