=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 			--confdir=/etc/mpv			\
 			--zshdir=/usr/share/zsh/vendor-completions \
 			--enable-cdda				\
+			--enable-joystick			\
 			--enable-sdl2				\
 			--enable-zsh-comp			\
 			--enable-libmpv-shared
