## mpv 0.7.3

=== wscript ===
--- 
+++ 
@@ -79,6 +79,10 @@
         'desc': 'inline assembly (currently without effect)',
         'default': 'enable',
         'func': check_true,
+    }, {
+        'name': '--test',
+        'desc': 'test suite (using cmocka)',
+        'func': check_pkg_config('cmocka >= 0.4.1'),
     }
 ]
 
@@ -341,6 +345,3 @@
         'func': check_pkg_config('lcms2', '>= 2.6'),
     }, {
         'name': 'vapoursynth-core',
-        'desc': 'VapourSynth filter bridge (core)',
-        'func': check_pkg_config('vapoursynth >= 23'),
-    }, {
