=== debian/changelog ===
mpv (0.7.3-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + Disable altivec on ppc64el again, as it FTBFS with it.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 08 Feb 2015 11:38:05 +0100

mpv (0.7.3-1) unstable; urgency=medium

  * New upstream release
  * Bump version of youtube-dl in Recommends

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 28 Jan 2015 17:18:43 +0100
