=== debian/control ===
--- 
+++ 
@@ -53,7 +53,7 @@
 Package: mpv
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: youtube-dl (>= 2014.11.09)
+Recommends: youtube-dl (>= 2014.11.26)
 Multi-Arch: foreign
 Description: video player based on MPlayer/mplayer2
  mpv is a movie player based on MPlayer and mplayer2. It supports a wide
@@ -87,7 +87,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: youtube-dl (>= 2014.11.09)
+Recommends: youtube-dl (>= 2014.11.26)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: video player based on MPlayer/mplayer2 (client library)
